This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 767726 - [RFE] Group metric graph to show multiple lines for each resource
[RFE] Group metric graph to show multiple lines for each resource
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.13
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: JON3-26
  Show dependency treegraph
 
Reported: 2011-12-14 13:38 EST by Nabeel Saad
Modified: 2015-11-01 19:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: JON3-26 (view as bug list)
Environment:
Last Closed: 2014-09-05 17:17:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nabeel Saad 2011-12-14 13:38:10 EST
Description of problem:
If you have a group metric, at the moment, it shows one line representing some info about the metric (I'm not sure if it's an average of all the machines in the group), but it would be nice to be able to see multiple lines for each server.  Even better if you could decide what you wanted to see via the settings tab.  i.e I could decide I wanted to see the max of this metric across all the machines, or the average, or each machine's metric plotted on the same graph with multiple different coloured lines.

This is very important to several customers and has been asked for.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Siamak Sadeghianfar 2012-09-17 06:42:30 EDT
Are there any updates on this? I have a customer very interested in getting this enhancement into RHQ.
Comment 5 Christian Polizzi 2014-02-04 22:27:43 EST
I also have a customer that is very interested in this enhancement. I also expect more of my customers having the same requirement.
Comment 6 Heiko W. Rupp 2014-05-08 10:42:43 EDT
Bump the target version now that 4.11 is out.
Comment 7 Jay Shaughnessy 2014-07-07 12:25:31 EDT
Didn't make 4.12, bump to 4.13
Comment 8 Jay Shaughnessy 2014-09-05 17:17:40 EDT
We actually have this already if I read it correctly.  In 4.12 Do the following:

- Navigate to a compatible group
- Two ways to get this:
1] - nav to Summary->Activity
   - click on the metric name in the Group|Metrics portlet

2] - nav to Montoring->Metrics
   - click on the metric name in the list view

Each way pops up the metric graph showing the individual members


You can not add this to a dashboard.  If you need that please open a separate RFE.

Note You need to log in before you can comment on or make changes to this bug.